Bug 61988 - Verify cloning elements with validation messages works
Summary: Verify cloning elements with validation messages works
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Dominic Cooney
URL:
Keywords:
Depends on:
Blocks: 61983
  Show dependency treegraph
 
Reported: 2011-06-02 20:01 PDT by Dominic Cooney
Modified: 2011-06-28 02:59 PDT (History)
3 users (show)

See Also:


Attachments
Patch (30.57 KB, patch)
2011-06-16 19:35 PDT, Kent Tamura
no flags Details | Formatted Diff | Diff
Patch 2 (6.83 KB, patch)
2011-06-17 02:11 PDT, Kent Tamura
no flags Details | Formatted Diff | Diff
Patch 3 (5.87 KB, patch)
2011-06-28 01:26 PDT, Kent Tamura
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dominic Cooney 2011-06-02 20:01:01 PDT
If a validation message could be cloned, it may be broken by the same cause as bug 61909.
Comment 1 Kent Tamura 2011-06-03 02:47:16 PDT
I guess cloning validation message nodes doesn't cause critical problems such as crash. However, no one won't hide a cloned validation message.
Validation message nodes should not be cloned.
Comment 2 Kent Tamura 2011-06-03 03:00:51 PDT
Oops, I was wrong ;-(
Comment 3 Kent Tamura 2011-06-16 19:35:04 PDT
Created attachment 97539 [details]
Patch
Comment 4 Hajime Morrita 2011-06-17 01:36:55 PDT
How about to use layoutTestController.shadowRoot() and
check pseudo id for clones shadows?

Another idea is to give r+ to Bug 62432, then use elementRenderTreeAsText(), 
which allows us a kind of reftests ;-)
Comment 5 Kent Tamura 2011-06-17 02:11:20 PDT
Created attachment 97564 [details]
Patch 2

Check pseudo ID
Comment 6 Kent Tamura 2011-06-17 02:12:00 PDT
(In reply to comment #4)
> How about to use layoutTestController.shadowRoot() and
> check pseudo id for clones shadows?

It's reasonable.  Thanks!
Comment 7 Hajime Morrita 2011-06-28 01:09:41 PDT
Comment on attachment 97564 [details]
Patch 2

Hi Kent-san, I'm sorry for slow response...
And during my lazy time, layoutTestController.shadowRoot() is obsoleted.
Could you rewrite this with window.internals.shadowRoot() ?
I'm sorry again for the inconvenience.
Comment 8 Kent Tamura 2011-06-28 01:26:54 PDT
Created attachment 98881 [details]
Patch 3

window.internals
Comment 9 WebKit Review Bot 2011-06-28 02:59:25 PDT
Comment on attachment 98881 [details]
Patch 3

Clearing flags on attachment: 98881

Committed r89919: <http://trac.webkit.org/changeset/89919>
Comment 10 WebKit Review Bot 2011-06-28 02:59:31 PDT
All reviewed patches have been landed.  Closing bug.